QGIS Application - Bug report #5212
Proxy settings ignored for layers
2012-03-20 01:13 PM - Andrew DeMerchant

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Network

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14949
Description

Proxy settings are ignored when trying to add a vector layer that is on the web, ie:

http://geonb.snb.ca/ArcGIS/rest/services/GeoNB ENV _Flood/MapServer/3/query ?text=0&#38;geometry=&#38;geometry Type=esriGeo

etryEnvelope&#38;inSR=&#38;spatialRel=esriSpatialRellntersects&#38;where=&#38;returnGeometry=true&#38;0utSR=&#38;0outFields=¢

%#38;f=

&#38;f=pjson

If | use a direct connection to the internet, this works fine. But I've watched my proxy server while trying with the proxy settings, and I've
seen no activity by QGIS.

The settings work fine for getting/using plugins. Just not for this...

Related issues:
Related to QGIS Application - Bug report # 8600: QGIS 2.0 not working with NT... Closed 2013-09-12
Duplicated by QGIS Application - Bug report # 14616: GDAL does not take care ... Closed 2016-04-05

Associated revisions

Revision d8fc6e87 - 2017-11-10 01:31 PM - Alessandro Pasotti

[bugfix] Apply proxy configuration to OGR connections

Fixes #5212 Proxy settings ignored for layers

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2013-09-22 02:57 AM - Giovanni Manghi

- Status changed from Open to Feedback
- Target version changed from Version 2.0.0 to 70

still true with qgis 2.0?

#3 - 2013-09-22 02:57 AM - Giovanni Manghi
- Category set to Network

#4 - 2013-09-23 06:44 AM - Andrew DeMerchant
http://geonb.snb.ca/ArcGIS/rest/services/GeoNB_ENV_Flood/MapServer/3/query?text=0&#38;geometry=&#38;geometryType=esriGeometryEnvelope&#38;inSR=&#38;spatialRel=esriSpatialRelIntersects&#38;where=&#38;returnGeometry=true&#38;outSR=&#38;outFields=&#38;f=pjson
http://geonb.snb.ca/ArcGIS/rest/services/GeoNB_ENV_Flood/MapServer/3/query?text=0&#38;geometry=&#38;geometryType=esriGeometryEnvelope&#38;inSR=&#38;spatialRel=esriSpatialRelIntersects&#38;where=&#38;returnGeometry=true&#38;outSR=&#38;outFields=&#38;f=pjson
http://geonb.snb.ca/ArcGIS/rest/services/GeoNB_ENV_Flood/MapServer/3/query?text=0&#38;geometry=&#38;geometryType=esriGeometryEnvelope&#38;inSR=&#38;spatialRel=esriSpatialRelIntersects&#38;where=&#38;returnGeometry=true&#38;outSR=&#38;outFields=&#38;f=pjson

Doesn't appear to work any better in 2.0 for me...It looks like it's behaving exactly like before - no attempt to connect to my proxy at all, and it's giving an

error.

#5 - 2013-09-23 09:32 AM - Giovanni Manghi
- Affected QGIS version changed from 1.7.4 to 2.0.1
- Status changed from Feedback to Open

#6 - 2013-09-23 12:16 PM - Jeremy Palmer

This ticket might relate #8600. Note the plugin installer is not working correctly with the proxy server in 2.0 now.

#7 - 2013-09-23 12:26 PM - Juirgen Fischer

The proxy settings only apply to networks requests QGIS does directly, not those done via OGR. | think OGR uses libcurl for that. Try setting the

CURLOPTPROXY environment variable (or http_proxy).

#8 - 2013-09-23 12:35 PM - Andrew DeMerchant

| can tell you that the plugin installer worked fine with my proxy settings, for what it's worth.

#9 - 2013-09-23 12:39 PM - Andrew DeMerchant

The http_proxy environment variable did the trick - not sure how you can handle that all within QGIS, but that definitely made this work for me...

#10 - 2013-09-26 11:30 AM - Jiirgen Fischer

- Target version changed from 70 to Future Release - High Priority

#11 - 2016-04-05 11:42 AM - Marco Lechner

- Affected QGIS version changed from 2.0.1 to 2.14.0

version 2.14.0 is still affected

see #14616

#12 - 2016-04-05 11:58 AM - Marco Lechner

Could it be an apropriate solution to set GDAL_HTTP_PROXY ([[https://trac.osgeo.org/gdal/wiki/ConfigOptions#GDAL_HTTP_PROXY]]) somehow in [[
https://github.com/qgis/QGIS/blob/master/src/providers/gdal/ggsgdalprovider.cpp]] even this will overwrite eventually set http_proxy variables?

#13 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#14 - 2017-11-09 03:25 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Description updated
http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTPROXY
https://trac.osgeo.org/gdal/wiki/ConfigOptions#GDAL_HTTP_PROXY]]
https://github.com/qgis/QGIS/blob/master/src/providers/gdal/qgsgdalprovider.cpp

- Affected QGIS version changed from 2.14.0 to master
#15 - 2017-11-10 01:41 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes
#16 - 2017-11-10 03:15 PM - Anonymous

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|d8fc6e877bbc5645cddf43b976e018e5c854a995.
